Bug 62288 - Network devices handling on resume on a laptop
Network devices handling on resume on a laptop
Product: Red Hat Public Beta
Classification: Retired
Component: apmd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: 63655 (view as bug list)
Depends On:
Blocks: 61901 67218 79579
  Show dependency treegraph
Reported: 2002-03-28 23:45 EST by keithu@parl.clemson.edu
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-20 20:11:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description keithu@parl.clemson.edu 2002-03-28 23:45:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31smp i686)

Description of problem:
There seem to be two problems with the handling of network interfaces on resume
from suspsend. 1) Even if NO interfaces are up at suspend time and NO interfaces
are supposed to come up at boot time, all interfaces attempt to come up after a
resume.  2) They do not seem to all try to come up at the same time.  In fact,
in a laptop with 3 network interfaces (long story), one PCMCIA interface
attempts to come up first.  After it fails, the built-in interface and the
PCMCIA wireless card attempt to come up.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Procure laptop
2.install network interface
3.install RH 7.2.92
4.configure network interface to NOT activate on boot, but to activate by DHCP
5.ifdown eth0
6.suspend laptop
7.resume laptop

Actual Results:  eth0 attempted to DHCP for an address

Expected Results:  The laptop should have resumed without bringing up the
network interface.  

Additional info:

This is REALLY annoying.  Not nearly so bad as 7.2 (where the card was left in a
bad state), but still REALLY annoying.  Especially if you have a standard 100Tx
interface and a wireless interface.
Comment 1 Bill Nottingham 2002-03-31 12:03:43 EST
This is handled by apmd.
Comment 2 Bill Nottingham 2003-02-20 20:11:36 EST
This should be better now.
Comment 3 Bill Nottingham 2003-02-20 20:12:09 EST
*** Bug 63655 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.